/*
 * system_state.h
 *
 *  Created on: Sep 19, 2016
 *      Author: tkl
 */

#ifndef SOURCE_APPLICATION_INCLUDE_SYSTEM_STATE_H_
#define SOURCE_APPLICATION_INCLUDE_SYSTEM_STATE_H_

enum system_state {
	SYS_INIT = 0,
	SYS_IDLE,
	SYS_DRIVING,
	SYS_COLLISION_DETECTED,
	SYS_COLLISION_DRIVE_BACK,
	SYS_COLLISION_TURN,
	SYS_MAX
};

int system_state_init(void);
int system_state_poll(void);
int system_state_force(enum system_state state);


#endif /* SOURCE_APPLICATION_INCLUDE_SYSTEM_STATE_H_ */
